Subject: Re: [RFC PATCH 01/10] powerpc/chrp: Remove CHRP support

From: Michael Ellerman <[email-masked]>
Date: Mon, 18 Nov 2024 17:07:31 +1100

Gerhard Pircher <[email-masked]> writes:
> Am 14.11.24 um 14:11 schrieb Michael Ellerman:
>> CHRP (Common Hardware Reference Platform) was a standard developed by
>> IBM & Apple for PowerPC-based systems.
>>
>> The standard was used in the development of some machines but never
>> gained wide spread adoption.
>>
>> The Linux CHRP code only supports a handful of machines, all 32-bit, eg.
>> IBM B50, bplan/Genesi Pegasos/Pegasos2, Total Impact briQ, and possibly
>> some from Motorola? No Apple machines should be affected.
>>
>> All of those mentioned above are over or nearing 20 years old, and seem
>> to have no active users.

> Pegasos2 users still exist, but admittedly they mainly use MorphOS and
> AmigaOS4 on these machines.

Ack. To be clear my comment was only referring to Linux users.

The Linux CHRP support is still present in v6.12, which will be an LTS
for the next 2 years at least, so if there's folks who occasionally boot
Linux they will still be able to do that for a while.

cheers